player_bumper_define Struct Reference

The geometry of a single bumper. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| the local pose of a single bumper
float | length
| length of the sensor [m]
float | radius
| radius of curvature [m] - zero for straight lines

## Detailed Description

The geometry of a single bumper.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45